Update the organisation
curl --request PUT \
--url https://api.example.com/api/organisations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"displayName": "<string>",
"preferences": {}
}
'import requests
url = "https://api.example.com/api/organisations"
payload = {
"name": "<string>",
"displayName": "<string>",
"preferences": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', displayName: '<string>', preferences: {}})
};
fetch('https://api.example.com/api/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"onboarded": true,
"themeLogo": "<string>",
"themePrimaryColor": "<string>",
"preferences": {
"emailSignupDomains": "<string>",
"themePrimaryColor": "<string>",
"themeLogo": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"license": "<string>",
"licenseData": {
"createdAt": "<string>",
"expiresAt": "<string>",
"environmentLimits": {
"users": 123,
"projects": 123,
"documents": 123,
"deployments": 123,
"enableDeploymentsWorkflows": true,
"enableSSO": true,
"enableAuditLogs": true,
"enableBranding": true,
"evaluateByRelease": true,
"diffModel": true,
"diffRelease": true,
"activeSimulation": true,
"testEventsShared": true,
"enableLLM": true,
"enableRoles": true
}
},
"url": "<string>",
"deletedAt": "<string>"
}Organisation
Update the organisation
Updates the organisation name, display name, and preferences.
PUT
/
api
/
organisations
Update the organisation
Body
application/json
Response
200 - application/json
The updated organisation
The updated organisation
Unique identifier of the organisation
URL-safe name of the organisation
Display name of the organisation
Whether the organisation has completed onboarding
Theme logo URL
Theme primary color
Organisation preferences
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
License key
Decoded license data
Show child attributes
Show child attributes
URL of the organisation
Deletion timestamp if soft-deleted
Was this page helpful?
⌘I